*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    min-height:100vh;
    font-family:-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,sans-serif;

    background:linear-gradient(
        180deg,
        #0f172a 0%,
        #111827 55%,
        #0b1220 100%
    );

    color:white;
}

.home-screen{

    min-height:100vh;

    display:flex;
    flex-direction:column;

    justify-content:flex-start;

    align-items:center;

    text-align:center;

    padding:40px 30px;
}

.top-section{

    margin-top:10px;
}

.logo{

    font-size:58px;
    margin-bottom:4px;
}

.embassy{

    font-size:13px;

    letter-spacing:2px;

    font-weight:600;

    opacity:.95;

    margin-top:6px;

    margin-bottom:8px;
}

.subtitle{

    font-size:20px;
    font-weight:600;
    letter-spacing:.5px;
}

.middle-section{

    width:100%;
}

.qr-box{

    width:300px;
    height:300px;

    margin:35px auto 35px;

    position:relative;

    display:flex;
    align-items:center;
    justify-content:center;
}

.qr-symbol{

    width:100%;
    height:100%;

    display:flex;

    align-items:center;
    justify-content:center;
}

.qr-symbol img{

    width:350px;
    height:auto;
}

.corner{

    position:absolute;

    width:82px;
    height:82px;

    border:5px solid #56d364;


}

.tl{
    top:0;
    left:0;
    border-right:none;
    border-bottom:none;


}

.tr{
    top:0;
    right:0;
    border-left:none;
    border-bottom:none;
}

.bl{
    bottom:0;
    left:0;
    border-right:none;
    border-top:none;
}

.br{
    bottom:0;
    right:0;
    border-left:none;
    border-top:none;
}

h1{

    font-size:38px;
    font-weight:700;

    margin-bottom:18px;
}

p{

    max-width:320px;

    margin:auto;

    line-height:1.7;

    color:#cbd5e1;

    font-size:17px;
}

.bottom-section{

    width:100%;
}

#startBtn{

    width:100%;
    max-width:340px;

    height:62px;

    border:none;

    border-radius:14px;

    background:linear-gradient(
        180deg,
        #c71f25,
        #aa151b
    );

    color:white;

    font-size:26px;
    font-weight:700;

    cursor:pointer;

    box-shadow:
    0 10px 25px rgba(170,21,27,.35);

    transition:.25s;
}

#startBtn:hover{

    transform:translateY(-2px);

    box-shadow:
    0 12px 30px rgba(170,21,27,.5);
}

.footer-text{

    margin-top:28px;

    font-size:13px;

    color:#94a3b8;

    line-height:1.5;
}

#scanAgainBtn{

    width:100%;
    max-width:340px;

    height:62px;

    border:none;

    border-radius:14px;

    background:#59c95d;

    color:white;

    font-size:18px;
    font-weight:700;

    cursor:pointer;

    margin-top:30px;
}

.logo img{
    width:200px;
    height:auto;
    display:block;
    margin:auto;
}

.login-user,
.login-pass,
.login-access{
    width:280px;
    height:55px;
    margin:8px auto;
    display:block;
    border-radius:12px;
    font-size:18px;
    font-weight:bold;
    text-align:center;
    transition:all .25s ease;
    box-sizing:border-box;
}

.login-user{
    background:#aa151b;
    color:white;
    border:2px solid #aa151b;
}

.login-user::placeholder{
    color:white;
}

.login-user:focus{
    outline:none;
    border:2px solid #f1bf00;
    box-shadow:0 0 12px rgba(241,191,0,.8);
    background:#8f1015;
}

.login-pass{
    background:#f1bf00;
    color:#222;
    border:2px solid #f1bf00;
}

.login-pass::placeholder{
    color:#333;
}

.login-pass:focus{
    outline:none;
    border:2px solid #aa151b;
    box-shadow:0 0 12px rgba(170,21,27,.6);
    background:#ffd43b;
}

.login-access{
    color:white;
    border:none;
    cursor:pointer;
    background:linear-gradient(
        180deg,
        #c71f25,
        #aa151b
    );
}

.login-access:hover{
    transform:translateY(-2px);
    box-shadow:0 4px 12px rgba(0,0,0,.35);
}

.login-access:active{
    transform:translateY(1px);
}

#logoutBtn{

    width:100%;
    max-width:340px;

    height:50px;

    margin-top:15px;

    border:2px solid #f1bf00;

    border-radius:12px;

    background:transparent;

    color:#f1bf00;

    font-size:18px;
    font-weight:700;

    cursor:pointer;

    transition:.25s;
}

#logoutBtn:hover{

    background:#f1bf00;

    color:#111827;

}
.flag-line{

    width:140px;

    height:8px;

    margin:4px auto 10px auto;

    border-radius:3px;

    background:
    linear-gradient(
        to right,
        #aa151b 0%,
        #aa151b 25%,
        #f1bf00 25%,
        #f1bf00 75%,
        #aa151b 75%,
        #aa151b 100%
    );

    box-shadow:
    0 0 8px rgba(255,255,255,.15);

}
